#include <stdlib.h>
#include <assert.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <ncurses/ncurses.h>

#include "myio.h"
#include "ClientConnect.h"
#include "CursussenActionClient.h"
#include "Cursus.h"
#include "Messages.h"
#include "Record.h"

void MainMenu(void)
{
   int answer;
	keuze k;
	dialog d;
	k=MakeKeuze(0,5,5,4,"Add cursus","Find cursus","Delete cursus", "Edit cursus");
	d=MakeDialog(1,"Cursus Client -- main menu",k);
	while(1)
	  {
	     answer=RunDialog(d);
	     if (answer==DIALOG_CANCEL) break;
	     switch(GetKeuzeCurrent(k))
	       {
		case 0 : AddCursusMenu(); break;
		case 1 : FindCursusMenu(); break;
		case 2 : DeleteCursusMenu(); break;
		case 3 : EditCursusMenu(); break;
		default: assert(0);
	       }
	  }
	FreeKeuze(k);
	FreeDialog(d);
     }

void main(void)
     {
	InitMyIo();
	InitClientConnect();
	MainMenu(); 
	DoneMyIo();
     } 
