/* MEMORY LEAK in de boekenlijst die binnenkomt ->SelectBook, Findbookmenu */
#include <stdlib.h>
#include <assert.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <ncurses/ncurses.h>
#include <sys/stat.h>
#include "myio.h"
#include "ClientConnect.h"
#include "CursussenActionClient.h"
#include "list.h"
#include "misc.h"
#include "Cursus.h"
#include "Messages.h"
#include "Record.h"

long fsize(char* name)
{
   struct stat stdbuf;
   if (stat(name,&stdbuf)==-1) return 0;
   return stdbuf.st_size;
}

char* ReadEntireFile(char*fn)
{
   FILE *f;
   long l;
   char*b;
   f=fopen(fn,"rb");
   assert(f);
   b=zmalloc((l=fsize(fn))+1);
   fread(b,1,l,f);
   b[l]=0;
   fclose(f);
   return b;
}

int hex2i(char c)
{
   if (c>='0' && c<='9') return c-'0';
   else if (c>='A' && c<='F') return c-'A'+10;
   else if (c>='a' && c<='f') return c-'a'+10;
   assert(0);
}

static int bytesread=0;
static int contentlength=0;
char ReadStupidChar()
{
   int a,b,c;
   if (bytesread==contentlength) return 0;
   a=getchar();
   if (a=='%')
     {
	b=getchar();
	c=getchar();
	bytesread+=3;
	return hex2i(b)*16+hex2i(c);
     }
   else if (a=='&')
     {
	bytesread++;
	return 0;
     }
   else
     {
	bytesread++;
	return a;
     }
}

void main(void)
{
   int i;
   char*IterStr;
   CursusSearchResult r;
   Cursus b;
   InitClientConnect();
   b=(Cursus)AllocateRecord(CURSUS_FIELD_COUNT);
   printf(ReadEntireFile("/home/ig/public_html/cursuslist/header.html"));
   r=FINDCURSUSSEN(b); /* alles dus */
   IterStr=ReadEntireFile("/home/ig/public_html/cursuslist/iter.html");
   if (!r.aantal) 
     {
	printf("%s",ReadEntireFile("/home/ig/public_html/cursuslist/nobooks.html"));
     }
   else
     for(i=0;i<r.aantal;i++)
     {
	b=r.result[i];
	printf(IterStr,
	       b->Code,
	       b->Name,
	       b->PrijsL,
	       b->PrijsNL,
	       b->Comments);
     }
   printf("%s",ReadEntireFile("/home/ig/public_html/cursuslist/footer.html"));
} 
