#ifndef UITLENING_H
#define UITLENING_H

/* records voor de uitleningen */
#include <stdlib.h>
#include <assert.h>
#include <stdio.h>
#include "misc.h"
#include "Book.h"

typedef struct sUitlening *Uitlening;
struct sUitlening
     {
	char *Key;
	char *BookKey;
	char *MemberKey;
	char *Date;
	char *Warranty;
     };

typedef struct sUitleningSearchResult
     {
	struct sUitlening u;
	struct sBook B;
     } *UitleningSearchResult;


#define UITLENING_FIELD_COUNT 5
Uitlening AllocateUitlening();
void FreeUilening();
int UitleningFormattedSize(Uitlening m);
void FormatUitlening(char*resultin,Uitlening m);
Uitlening UnFormatUitlening(char*from);
void PrintUitlening(Uitlening m);
int VoldoetUitleningAanTemplate(Uitlening t, Uitlening bo);
int ExactUitleningMatch(Uitlening i1, Uitlening i2);
Uitlening CreateCompareableUitlening(Uitlening b);
void PasteUitlening(Uitlening dest, Uitlening source);
#endif
