#include "ClientConnect.h"
#include "Messages.h"
#include "intersection.h"
#include "UitleningenActionClient.h"
void LEENUIT(Member m, Book b, String Warranty)
{
   SendChar(LEENUIT_RQ);
   SendRecord((Record)m,MEMBER_FIELD_COUNT);
   SendRecord((Record)b,BOOK_FIELD_COUNT);
   SendString(Warranty);
   FlushMessage();
   assert(RecvChar()==LEENUIT_RP_OK);
}

struct UitleningenSearchResult FINDUITLENINGEN(Member m)
{
   int aantal;
   struct UitleningenSearchResult result;
   assert(m);
   SendChar(FINDUITLENINGEN_RQ);
   SendRecord((Record)m,MEMBER_FIELD_COUNT);
   FlushMessage();
   if (RecvChar()!=FINDUITLENINGEN_RP_OK)
     {
	result.result=NULL;
	result.result=0;
	return result;
     }
   /* dan nu eens converteren naar een waardevol arreejtje */
   aantal=RecvInteger();
   assert(aantal>=0);
   if (!aantal) result.result=NULL;
   else result.result=(UitleningSearchResult*)zmalloc(sizeof(struct sUitleningSearchResult)*aantal);
   result.aantal=aantal;
   while(aantal>0)
     {
	aantal--;
	result.result[aantal]=(UitleningSearchResult)RecvRecord(BOOK_FIELD_COUNT+UITLENING_FIELD_COUNT);
     }
   return result;
}

void DELETEUITLENING(Uitlening u)
{
   SendChar(DELETEUITLENING_RQ);
   SendRecord((Record)u,UITLENING_FIELD_COUNT);
   FlushMessage();
   assert(RecvChar()==DELETEUITLENING_RP_OK);
}
