/* MEMORY LEAK in de boekenlijst die binnenkomt ->SelectBook, Findbookmenu */
#include <stdlib.h>
#include <assert.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <sys/stat.h>
#include "myio.h"
#include "ClientConnect.h"
#include "BookActionClient.h"
#include "Book.h"
#include "Messages.h"
#include "list.h"
#include "misc.h"
#include "Record.h"
long fsize(char* name)
{
   struct stat stdbuf;
   if (stat(name,&stdbuf)==-1) return 0;
   return stdbuf.st_size;
}

char* ReadEntireFile(char*fn)
{
   FILE *f;
   long l;
   char*b;
   f=fopen(fn,"rb");
   assert(f);
   b=zmalloc((l=fsize(fn))+1);
   fread(b,1,l,f);
   b[l]=0;
   fclose(f);
   return b;
}

int hex2i(char c)
{
   if (c>='0' && c<='9') return c-'0';
   else if (c>='A' && c<='F') return c-'A'+10;
   else if (c>='a' && c<='f') return c-'a'+10;
   assert(0);
}

static int bytesread=0;
static int contentlength=0;
char ReadStupidChar()
{
   int a,b,c;
   if (bytesread==contentlength) return 0;
   a=getchar();
   if (a=='%')
     {
	b=getchar();
	c=getchar();
	bytesread+=3;
	return hex2i(b)*16+hex2i(c);
     }
   else if (a=='&')
     {
	bytesread++;
	return 0;
     }
   else
     {
	bytesread++;
	return a;
     }
}

char* ReadField()
{
   char* answer,*tikker;
   tikker=answer=(char*)zmalloc(1000);
   while(ReadStupidChar()!='=');
   while(*(tikker++)=ReadStupidChar());
   return answer;
}

void main(void)
{
   int i;
   char *cls;
   char* IterStr;
   BookSearchResult r;
   Book b;
   InitClientConnect();
   cls=getenv("CONTENT_LENGTH");
   contentlength=atoi(cls);

   b=(Book)AllocateRecord(BOOK_FIELD_COUNT);
   b->Name=ReadField();
   b->Auteur=ReadField();
   b->Uitgever=ReadField();
   b->Rubriek=ReadField();
   b->ISBN=ReadField();
   printf(ReadEntireFile("/home/ig/public_html/booksearch/header.html"),
	  b->Name,
	  b->Auteur,
	  b->Uitgever,
	  b->Rubriek,
	  b->ISBN);
   r=FINDBOOKS(b);
   IterStr=ReadEntireFile("/home/ig/public_html/booksearch/iter.html");
   if (!r.aantal)
     {
	printf("%s",ReadEntireFile("/home/ig/public_html/booksearch/nobooks.html"));
     }
   else
     for(i=0;i<r.aantal;i++)
     {
	b=r.result[i];
	printf(IterStr,
	       b->Name,
	       b->Auteur,
	       b->Uitgever,
	       b->Rubriek,
	       b->ISBN);
     }
   printf("%s",ReadEntireFile("/home/ig/public_html/booksearch/footer.html"));
} 
