#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <fcntl.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include "misc.h"
#include "myio.h"
#include "list.h"
#include "Record.h"
#include "intersection.h"

typedef struct sChunck  {
   unsigned long size;
   void* contents;
   void(*freefunc)(void*);
} * Chunck;

extern char* CurrentReceived;
char* CurrentReceivedOrig=NULL;
int SocketClient;
static void ObtainAnswer(void)
{
   int gelezen=0;
   unsigned int size;
   if (sizeof(size)!=read(SocketClient,&size,sizeof(size)))
     FatalStatusLine("Couldn't obtain message-size");
   size=ntohl(size);
   if (CurrentReceivedOrig) zfree(CurrentReceivedOrig);
   CurrentReceivedOrig=CurrentReceived=zmalloc(size);
   while(gelezen!=size)
     gelezen+=read(SocketClient,&CurrentReceived[gelezen],size-gelezen);
}

void writenet(char*SendMessage,unsigned long size)
     {
	int i;
	assert(SendMessage);
/*	printf("%d:",size);
	for(i=0;i<size;i++)
	  {
	     printf("%d ",SendMessage[i]);
	  }
	printf("\n"); fflush(stdout);
*/	if (size!=write(SocketClient,SendMessage,size)) 
	  FatalStatusLine("An error occured writing to socket...");
     }

void InitClientConnect(void)
     {
	InitIntersection();
     }

void FlushMessage(void)
{
   char *strIP = strdup("134.184.49.8");
   int count=20;
   short sPort = 65503;
   int iSocket;
   struct sockaddr_in addr;
   bzero(&addr,sizeof(addr));
   addr.sin_family = AF_INET;
   addr.sin_addr.s_addr = inet_addr(strIP);
   addr.sin_port = htons((short)sPort);
   if ((SocketClient = socket(AF_INET, SOCK_STREAM, 0))==-1)
     FatalStatusLine("socket(...,...,...) failed\n");
   while (connect(SocketClient, (struct sockaddr*)&addr, sizeof(addr)) != 0)
     {
	shutdown(SocketClient, 2);
	addr.sin_family = AF_INET;
	addr.sin_addr.s_addr = inet_addr(strIP);
	addr.sin_port = htons((short)sPort);
	iSocket = socket(AF_INET, SOCK_STREAM, 0);
	if (--count<=0) FatalStatusLine("Server not running");
     }
   DoFlushMessage();
   ObtainAnswer();
   close(SocketClient);
   free(strIP);
}
