#ifndef DB_H
#define DB_H
typedef char*String;
typedef String *Record;

/* string functies */
char* AllocateEmptyStr();
char *CreateCompareableString(char*s);
int Substring(char*t, char*s);

/* record functies */
Record PreAllocateRecord(int count);
Record AllocateRecord(int count);
Record CreateCompareableRecord(Record in,int count);
int ValidRecord(Record r, int count);
void FreeRecordContents(Record r, int count);
void FreeRecord(Record r, int count);
void SetRecord(Record d, Record s, int count);
void PasteRecord(Record d, Record s, int count);
void PasteString(Record r, String s, int pos);
int VoldoetRecordAanTemplate(Record t, Record r, int count);
int ExactRecordMatch(Record i1, Record i2, int count);
void FormatRecord(char*resultin, Record r, int count);
Record UnFormatRecord(char *from, int count);
int RecordFormattedSize(Record c,int count);
void PrintRecord(Record r, int CurrentFieldCount);
#endif
