#ifndef TABLE_H
#define TABLE_H
#include "Record.h"
#include "list.h"

typedef struct sTable  {
   int recordfieldcount;
   int lastkeynumber;
   List l;
} *Table;

Table AllocateTable(int recordlength);
void DeleteRecord(Table t, Record r);
int UpdateRecord(Table t, Record o, Record n);
void TableForeach(Table t, void*(*func)(Record,void*),void*);
void RawAddRecord(Table t, Record n);
void AddRecord(Table t, Record n);
int FindRecordsAndAnswer(Table t, Record n);
Record Key2Record(Table t, String k);
Record TableFindFirst(Table t, int(*func)(Record r,void*Common),void*common);
#endif
