#ifndef LIST_H
#define LIST_H
typedef struct sListCel {
	struct sListCel* next;
	void* contents;
	} * ListCel;

typedef struct sList {
   ListCel firstelement;
   ListCel lastelement;
} * List;

List AllocateList(void);
void FreeList(List);
#define l_empty(L) ((L)->firstelement==NULL)
void l_add(List l, void* watte);
int Assert(char*check);
void l_tailadd(List l, void* watte);
void* l_first(List l);
typedef void*(*foreachfunc)(void* who,void*common);
void l_foreach(List l, foreachfunc func, void* common);
#define ListForeach(L,F,C) l_foreach((L),(foreachfunc)(F),(C))
void* l_firstthat(List l, void*(*func)(void* who,void*common), void* common);
#endif
